Bug 1166404 - python-oslo-db-1.9.0 is available [NEEDINFO]
Summary: python-oslo-db-1.9.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-oslo-db
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2014-11-20 23:15 UTC by Upstream Release Monitoring
Modified: 2018-08-18 22:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-18 22:29:08 UTC
lbalhar: needinfo? (apevec)


Attachments (Terms of Use)
[patch] Update to 1.8.0 (#1166404) (948 bytes, text/x-diff)
2015-04-14 01:00 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 1.9.0 (#1166404) (948 bytes, text/x-diff)
2015-04-23 13:02 UTC, Upstream Release Monitoring
no flags Details
Patch to provide Python 3 tests subpackage (1.95 KB, patch)
2016-06-03 12:22 UTC, Charalampos Stratakis
no flags Details | Diff

Description Upstream Release Monitoring 2014-11-20 23:15:11 UTC
Latest upstream release: 1.1.0
Current version/release in Fedora Rawhide: 1.0.2-2.fc22
URL: https://pypi.python.org/packages/source/o/oslo.db/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 1 Upstream Release Monitoring 2014-12-05 10:11:35 UTC
Latest upstream release: 1.2.0
Current version/release in Fedora Rawhide: 1.0.2-2.fc22
URL: https://pypi.python.org/packages/source/o/oslo.db/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 2 Upstream Release Monitoring 2014-12-17 10:44:10 UTC
Latest upstream release: 1.3.0
Current version/release in Fedora Rawhide: 1.0.2-2.fc22
URL: https://pypi.python.org/packages/source/o/oslo.db/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 3 Upstream Release Monitoring 2015-01-13 11:08:52 UTC
Latest upstream release: 1.4.1
Current version/release in Fedora Rawhide: 1.0.2-2.fc22
URL: https://pypi.python.org/packages/source/o/oslo.db/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 4 Upstream Release Monitoring 2015-02-26 13:07:17 UTC
Latest upstream release: 1.5.0
Current version/release in rawhide: 1.0.2-2.fc22
URL: https://pypi.python.org/pypi/oslo.db

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 5 Upstream Release Monitoring 2015-02-26 13:31:37 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9081128

Comment 6 Upstream Release Monitoring 2015-03-12 13:23:11 UTC
Latest upstream release: 1.6.0
Current version/release in rawhide: 1.0.2-2.fc22
URL: https://pypi.python.org/pypi/oslo.db

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 7 Upstream Release Monitoring 2015-03-12 13:33:48 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9209932

Comment 8 Upstream Release Monitoring 2015-03-13 01:08:40 UTC
Latest upstream release: 1.7.0
Current version/release in rawhide: 1.0.2-2.fc22
URL: https://pypi.python.org/pypi/oslo.db

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 9 Upstream Release Monitoring 2015-03-13 01:17:54 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9214266

Comment 10 Upstream Release Monitoring 2015-03-18 01:06:56 UTC
Latest upstream release: 1.7.1
Current version/release in rawhide: 1.0.2-2.fc22
URL: https://pypi.python.org/pypi/oslo.db

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 11 Upstream Release Monitoring 2015-03-18 01:18:36 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9258382

Comment 12 Upstream Release Monitoring 2015-03-31 13:18:12 UTC
apevec's python-oslo-db-1.7.1-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=625075

Comment 13 Upstream Release Monitoring 2015-04-14 01:00:26 UTC
Latest upstream release: 1.8.0
Current version/release in rawhide: 1.7.1-1.fc23
URL: https://pypi.python.org/pypi/oslo.db

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 14 Upstream Release Monitoring 2015-04-14 01:00:37 UTC
Created attachment 1014084 [details]
[patch] Update to 1.8.0 (#1166404)

Comment 15 Upstream Release Monitoring 2015-04-14 01:04:11 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9472477

Comment 16 Upstream Release Monitoring 2015-04-23 13:02:20 UTC
Latest upstream release: 1.9.0
Current version/release in rawhide: 1.7.1-1.fc23
URL: https://pypi.python.org/pypi/oslo.db

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 17 Upstream Release Monitoring 2015-04-23 13:02:28 UTC
Created attachment 1017975 [details]
[patch] Update to 1.9.0 (#1166404)

Comment 18 Upstream Release Monitoring 2015-04-23 13:09:12 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9548550

Comment 19 Tomas Orsava 2016-04-15 09:12:58 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 20 Charalampos Stratakis 2016-06-03 12:22:18 UTC
Created attachment 1164490 [details]
Patch to provide Python 3 tests subpackage

Comment 21 Charalampos Stratakis 2016-06-08 11:36:19 UTC
Also tested in mock.

Comment 22 Charalampos Stratakis 2016-06-08 11:53:30 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14421304

Comment 23 Lumír Balhar 2016-07-27 08:55:27 UTC
A package that supports Python 3 is in Rawhide.

Comment 24 Iryna Shcherbina 2017-06-19 09:12:00 UTC
Reopening the issue, as the Python 3 version of python-oslo-db-tests was removed in the update to version 4.17.0 [0].

May I ask what was the reason to remove python3-oslo-db-tests? The update commit message and changelog does not provide any information about it.

[0] https://src.fedoraproject.org/cgit/rpms/python-oslo-db.git/commit/python-oslo-db.spec?id=933a5aeab1d12378e9947887ca45f6d988849600

Comment 25 Lumír Balhar 2018-07-11 09:17:02 UTC
Any news?

Comment 26 hguemar 2018-08-18 22:29:08 UTC
Fixed in latest rawhide build.


Note You need to log in before you can comment on or make changes to this bug.